Public MustInherit Class LaborTextGruppeEinzelWert
    Inherits LaborTextGruppe

    Public Sub New(ByVal Title As String, ByVal Builder As LaborTextBuilder)
        MyBase.New(Title, Builder)
    End Sub

    Public Overrides Function IstUnauffaellig() As Boolean
        Return False
    End Function

    Public Overrides Sub SetUnauffaellig(ByVal Value As Boolean)

    End Sub

    Public Overrides Function CreateControl() As System.Windows.Forms.Control
        Return New LaborEinzelWertControl(Me)
    End Function

    MustOverride Function GetWeiteresLabel() As String
    Public Overrides Function NormalTexte() As System.Collections.Generic.List(Of String)
        Dim Result As New List(Of String)

        For Each Wt As LaborWert In Me.Werte
            If Wt.Wert = "ok" Then
                Result.Add(Wt.LangText)
            End If
        Next

        Return Result
    End Function

    Public Overrides Function PathologischTexte() As System.Collections.Generic.List(Of String)
        Dim Result As New List(Of String)
        For Each Wt As LaborWert In Me.Werte
            If Wt.Wert <> "" AndAlso Wt.Wert <> "ok" Then
                Result.Add(Wt.LangText & " " & Wt.Wert)
            End If
        Next
        Return Result
    End Function
End Class
