Public Class BlutbildGruppe
    Inherits LaborTextGruppeGemeinsamWert


    Private m_thrombos As LaborWert
    Public Sub New(ByVal Builder As LaborTextBuilder)
        MyBase.New("Blutbild", Builder)
        Me.Werte.Add(New LaborWert("HB", "Hmoglobin", Me))
        Me.Werte.Add(New LaborWert("HK", "Hmatokrit", Me))
        m_thrombos = New LaborWert("Thrombo", "Thrombozyten", Me)
        Me.Werte.Add(m_thrombos)
    End Sub


    Public Overrides Function GetWeiteresLabel() As String
        Return "weiteres Blutbild"
    End Function

    Public Overrides Function NormalTexte() As System.Collections.Generic.List(Of String)
        Dim Result As New List(Of String)
        Dim SomethingPathologisch As Boolean = MyBase.SomePathologisch()

        If Me.Unauffaellig Then
            If SomethingPathologisch Then
                Result.Add(GetWeiteresLabel)
            Else
                Result.Add(Me.Title)
            End If

            If m_thrombos.Wert = "" Then
                Result.Add("Thrombozyten")
            End If
        End If

        Return Result
    End Function
End Class
