Public Class LaborWert
    Implements Imovable
    Private m_Kuerzel As String = ""
    Private m_LangText As String = ""
    Private m_Wert As String = ""
    Private m_Gruppe As LaborTextGruppe
    Property Gruppe() As LaborTextGruppe
        Get
            Return m_Gruppe
        End Get
        Set(ByVal value As LaborTextGruppe)
            m_Gruppe = value
        End Set
    End Property
    ReadOnly Property LangText() As String
        Get
            Return m_LangText
        End Get
    End Property
    ReadOnly Property Kuerzel() As String
        Get
            Return m_Kuerzel
        End Get
    End Property
    Property Wert() As String
        Get
            Return m_Wert
        End Get
        Set(ByVal value As String)
            m_Wert = value.Trim
        End Set
    End Property
    Public Sub New(ByVal Kuerzel As String, ByVal LangText As String, ByVal Gruppe As LaborTextGruppe)
        m_Kuerzel = Kuerzel
        m_LangText = LangText
        m_Gruppe = Gruppe
    End Sub
    Public Function CanMoveUp() As Boolean Implements Imovable.CanMoveUp
        If m_Gruppe.Werte.IndexOf(Me) = 0 Then
            Return False
        End If
        Return True
    End Function
    Public Function CanMoveDown() As Boolean Implements Imovable.CanMoveDown
        If m_Gruppe.Werte.IndexOf(Me) = m_Gruppe.Werte.Count - 1 Then
            Return False
        End If
        Return True
    End Function
    Public Sub MoveUp() Implements Imovable.MoveUp
        Dim Idx As Integer = m_Gruppe.Werte.IndexOf(Me)
        m_Gruppe.Werte.RemoveAt(Idx)
        m_Gruppe.Werte.Insert(Idx - 1, Me)
        m_Gruppe.RaiseChanged()
        m_Gruppe.Builder.CreateText()
    End Sub
    Public Sub MoveDown() Implements Imovable.MoveDown
        Dim Idx As Integer = m_Gruppe.Werte.IndexOf(Me)
        m_Gruppe.Werte.RemoveAt(Idx)
        m_Gruppe.Werte.Insert(Idx + 1, Me)
        m_Gruppe.RaiseChanged()
        m_Gruppe.Builder.CreateText()
    End Sub

    Public Property IsMovedGroup() As Boolean Implements Imovable.IsMovedGroup
        Get

        End Get
        Set(ByVal value As Boolean)

        End Set
    End Property
End Class
